GNU bug report logs - #58247
Using guix time-machine results in unsupported manifest format error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: david larsson <david.larsson@HIDDEN>; Keywords: wontfix; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 58247 <at> debbugs.gnu.org and david larsson <david.larsson@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58247 <at> debbugs.gnu.org:


Received: (at 58247) by debbugs.gnu.org; 4 Dec 2022 17:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 12:02:03 2022
Received: from localhost ([127.0.0.1]:58694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1sNP-0004GE-3h
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 12:02:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1p1sNL-0004Fq-IR
 for 58247 <at> debbugs.gnu.org; Sun, 04 Dec 2022 12:02:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p1sNF-0006Mz-OB; Sun, 04 Dec 2022 12:01:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=qxTwcJeqVbiPWAfq6PO4jpSoEJia3vzBJgunf/Q8q8w=; b=JrtmqI1pr+t9V9pBXPQe
 vtAwNiEasepZXRq+A6SeAfBNEkHNLp522rdWVhHuz1eoZENhW98E7FGgGXjhc4kiB8/wGT1Ve9umB
 RsqZxTXMkxpcx3T8z+tgdmLFG7TaOQM8QJ/bIKD338AUnUUzpgqXoOUOh4cxQ/MHTDdnSK4IhLfbH
 5yB/gCYHpz3sLp4dcaGwzUATzM0y/rXkey4KemxD6JIb7WcQIdVCkXJ8nJBC1AesBWJ2xoe6C3Qos
 fC5KfAJVqOJyO1ynLlL3VWHyuStUPCvo9OliRVx/Lt4KrmQb9U5dDXr8BRdVuaarM+wwrsw/UFxK6
 w1ISdp4fKoIMAQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201] helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p1sNF-0006rF-Ae; Sun, 04 Dec 2022 12:01:53 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#58247: Using guix time-machine results in unsupported
 manifest format error
References: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
 <87bkquxior.fsf@HIDDEN>
 <2b9ab157dfb62c46f8416fc39c320323@HIDDEN>
 <87v8p1x4fj.fsf@HIDDEN> <86tu40nl1l.fsf@HIDDEN>
Date: Sun, 04 Dec 2022 18:01:50 +0100
In-Reply-To: <86tu40nl1l.fsf@HIDDEN> (zimoun's message of "Wed, 19 Oct 2022
 12:51:34 +0200")
Message-ID: <87cz8zm7b5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58247
Cc: david larsson <david.larsson@HIDDEN>, 58247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

zimoun <zimon.toutoune@HIDDEN> skribis:

> This issue is about the upgrade of manifest version from 3 to 4.  For
> references,
>
>     <http://issues.guix.gnu.org/issue/58247>
>
> On Mon, 03 Oct 2022 at 00:10, zimoun <zimon.toutoune@HIDDEN> wrote:
>
>> Well, I do not know if a fix is possible.  The issue is a
>> backward compatibility issue.
>
> Ludo, what is your insight on that matter?  Is it fixable?  Or do we
> mark the issue as =E2=80=99wontfix=E2=80=99?

David wrote:

> Im on commit 729ce5f and Im running: guix time-machine
> --commit=3D7e8e070 -- package -i hello
>
> and it outputs:
>
>   guix package: error: unsupported manifest format

This use case cannot be fixed: you cannot use an old Guix (one that only
understood manifest version 3) to manipulate a =E2=80=9Cnew=E2=80=9D profil=
e (manifest
version 4).  That=E2=80=99s a fundamental limitation of old software being
unable to deal with new formats in general.

One way to work around it is to have that old =E2=80=98guix=E2=80=99 operat=
e on a fresh
profile (thus it=E2=80=99ll be version 3):

  rm -f /tmp/old-stuff
  guix time-machine --commit=3D7e8e070 -- package -i hello -p /tmp/old-stuff

or, better yet, to use =E2=80=98guix shell=E2=80=99 or =E2=80=98guix enviro=
nment=E2=80=99:

  guix time-machine --commit=3D7e8e070 -- \
    environment --ad-hoc hello -- hello

I=E2=80=99m closing this bug.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.

Message received at 58247 <at> debbugs.gnu.org:


Received: (at 58247) by debbugs.gnu.org; 20 Oct 2022 18:44:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 14:44:54 2022
Received: from localhost ([127.0.0.1]:36133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olaXG-0000Fk-9L
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 14:44:54 -0400
Received: from server0.selfhosted.xyz ([217.64.149.7]:47554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.larsson@HIDDEN>) id 1olaWz-0000FF-IR
 for 58247 <at> debbugs.gnu.org; Thu, 20 Oct 2022 14:44:53 -0400
Received: from server0.selfhosted.xyz (localhost [127.0.0.1])
 by server0.selfhosted.xyz (Postfix) with ESMTP id E964E2CE2026;
 Thu, 20 Oct 2022 20:44:23 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=selfhosted.xyz;
 s=dkim; t=1666291469;
 bh=dS6aVHgZpaaTDGO8REFt1r/LWvhcalI3NuokJC+aOmk=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References;
 b=iw3+CVsfN6GwOhzwVUW5eYF5gcG69jVHrlDv1wLz6BndEYJ/c2JWwcJc3DsXMBaW8
 NXva4X1o5x+edDnkhFZ/O3rrBURDkBp4IkkiQZbNpFwkKG6sRtJ4j1nM5hR3WBCzSB
 JJpMiQoB3V2v1z3lwn8k3KIkQDy2qQnYDVXvJCHLejJUVqYv0mBfXypR1gox0Gvlwk
 4tit+jLMZ5ai1gFCKr0RPnigZXq71F8YlEN1F9e5IcD4aDKu0mMEUu/ld8b4wL2Iea
 RukPfE4wnnv8U18W6Fngw/ZBFdk22dYNF5e3kbUTnfKposoNjEezEvubkVh3xJ6wIh
 Do5BThBAvEoUg==
X-Fuglu-Suspect: 5323a5af72be491c868cceb4c56208bd
X-Fuglu-Spamstatus: NO
Received: from webmail.selfhosted.xyz (office.selfhosted.xyz [192.168.1.4])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: mail@HIDDEN)
 by server0.selfhosted.xyz (Postfix) with ESMTPSA;
 Thu, 20 Oct 2022 20:44:23 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Thu, 20 Oct 2022 20:44:23 +0200
From: david larsson <david.larsson@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#58247: Using guix time-machine results in unsupported
 manifest format error
In-Reply-To: <87v8p1x4fj.fsf@HIDDEN>
References: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
 <87bkquxior.fsf@HIDDEN> <2b9ab157dfb62c46f8416fc39c320323@HIDDEN>
 <87v8p1x4fj.fsf@HIDDEN>
Message-ID: <e2594aa19c0c0bda6aec06406b9dd51e@HIDDEN>
X-Sender: david.larsson@HIDDEN
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2022-10-03 00:10,
 zimoun wrote: [..] > > Let try the converse, 
 > > --8<cut herestart>8--- > $ guix time-machine --commit=729ce5f -- package
 -i hello -p /tmp/old > > $ cat /tmp/old/manifest | gre [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: selfhosted.xyz (xyz)]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 58247
Cc: 58247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On 2022-10-03 00:10, zimoun wrote:

[..]

> 
> Let try the converse,
> 
> --8<---------------cut here---------------start------------->8---
> $ guix time-machine --commit=729ce5f -- package -i hello -p /tmp/old
> 
> $ cat /tmp/old/manifest | grep -A 1 '(manifest'
> (manifest
>   (version 4)
> 
> $ guix package --list-generations -p /tmp/old
> Generation 1	oct. 02 2022 18:53:10
>   hello	2.10	out	/gnu/store/xg67cpxq2p6q7wn4y2z194pndwdymhpf-hello-2.10
> 
> Generation 2	oct. 02 2022 21:25:11	(current)
>  + 
> hello	2.12.1	out	/gnu/store/s5pd3rnzymliafb4la5sca63j86xs0y0-hello-2.12.1
>  - hello	2.10  
> 	out	/gnu/store/xg67cpxq2p6q7wn4y2z194pndwdymhpf-hello-2.10
> --8<---------------cut here---------------end--------------->8---
> 
> This profile /tmp/old is thus converted from version 3 to version 4, 
> and
> then, reusing old version of Guix fails,
> 
> --8<---------------cut here---------------start------------->8---
> $ guix time-machine --commit=7e8e070 -- package -i hello -p /tmp/old
> guix package: error: unsupported manifest format
> --8<---------------cut here---------------end--------------->8---
> 
> 
> Well, I do not know if a fix is possible.  The issue is a
> backward compatibility issue.
> 

Hi,
Thanks for the clarification.

I imagine it would be possible to give it a dirty fix, approximately as 
you just showed with /tmp/old, if you also just readd the default 
profile's currently installed packages to it at the end. So, if using 
~/.guix-profile, it would be something like:

1. Say your ~/.guix-profile is at commit=XYZ
2. build a NEW profile with the old package ONLY, from commit=ABC (as in 
/tmp/old)
3. guix pull /tmp/old "back" to commit=XYZ
4. install remaining packages that was in your ~/.guix-profile to 
/tmp/old.
5. mv the ~/.guix-profile symlink to /tmp/old.

( /tmp/old should just be in /var/guix/profiles/per-user/$USER as normal 
)

Building a new package generation like this would not be the same as 
usual, cuz the currently installed packages may come from different guix 
revisions. That might be a dealbreaker for fixing it. I do think it's 
very sad though, that the time-machine is kind of broken whenever the 
manifest gets a new version, with no hint even to the user how to find a 
solution.

Best regards,
David






Information forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.

Message received at 58247 <at> debbugs.gnu.org:


Received: (at 58247) by debbugs.gnu.org; 19 Oct 2022 14:00:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 10:00:25 2022
Received: from localhost ([127.0.0.1]:59619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ol9c4-0002WC-4B
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2022 10:00:25 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:46858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ol9c1-0002Tx-Mp
 for 58247 <at> debbugs.gnu.org; Wed, 19 Oct 2022 10:00:02 -0400
Received: by mail-wr1-f45.google.com with SMTP id bk15so29246179wrb.13
 for <58247 <at> debbugs.gnu.org>; Wed, 19 Oct 2022 07:00:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=K12Oqu1bkND6xO/JezGBBLxxlJvaNlx4/8pQHQT8qEM=;
 b=BMlGk/pY56w/HXaGnEbtUwc6F8R0pklpPHH5EhjhY315L932LS/PUTJLYRB7mhgKxr
 zw3ALsoy0kFSKLHdFWE/PxpCyXjWmmRm4RxCvoNuJ4cw9N6qUcV3z9cCk9oe1spMPjKx
 eieJhBxqCBU61T7V26Apvzj5usL1kwTnDKmnCxdcnbOTBd+ZqyetGTCUCpYjiTsTXeFe
 954WVChth1HfVwCtzrxum/kNmH9ooQ4PMLRadkQwcXBsf5Wtshiwf8oRDkIpc4i8g2gL
 qK2tZr1P81nk5WkG8eFdTYANT+vjlCLBBZ4PudlYB9N6kzKGqZWXxmN6lwiqmM25/GkX
 SRwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=K12Oqu1bkND6xO/JezGBBLxxlJvaNlx4/8pQHQT8qEM=;
 b=5HBWPTjFkxDpQhITCKAoir3QqR6JRhbzr0auilDKqGbCM/hbv4vg0ZB3Ta0Ci9tnHs
 IjkNBX0m8kdLMxzLzKztR6oaoXKzgYrSGDv3FlhLcH9kgTCTlBduZKiP23x9Ogv1j8UZ
 S/2aXKilTRBmQ4kg/ynUWYIgW5fSZsUUrYy/BLnGtqJcjaffqe4DnKIPm1vHBclL/ros
 ryq9WmRxOmcn+skLMLOhP059/kuk/VP1Tud3SfwrxCB3c7rdg1GGLNA8TzL9NHRERRd3
 OmCLZnjFEu9JYlxypM3+LPCZPjFqxGA4ZFWbwQq3VPGsRXATFWKX9JzjQeW9W1G+/0xs
 YlcQ==
X-Gm-Message-State: ACrzQf2x/sqTU0nqlL1g1f1hnJTPmu1Jp8yi5ri7GGd/wsUs7kn1/PzA
 GNMEug3S7HgYLGwAteYnI/U=
X-Google-Smtp-Source: AMsMyM5iMRVyzFuYPXhhvm0H2D/xHHOg4NAenNxTSsZ6b5Al84oybhuy2SJRY3nQZaVT4tbjpLbI/g==
X-Received: by 2002:a5d:6551:0:b0:22e:35fd:39b3 with SMTP id
 z17-20020a5d6551000000b0022e35fd39b3mr5536833wrv.77.1666187995820; 
 Wed, 19 Oct 2022 06:59:55 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 o4-20020a05600c4fc400b003c701c12a17sm42545wmq.12.2022.10.19.06.59.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 19 Oct 2022 06:59:55 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: david larsson <david.larsson@HIDDEN>
Subject: Re: bug#58247: Using guix time-machine results in unsupported
 manifest format error
References: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
 <87bkquxior.fsf@HIDDEN>
 <2b9ab157dfb62c46f8416fc39c320323@HIDDEN>
 <87v8p1x4fj.fsf@HIDDEN>
Date: Wed, 19 Oct 2022 12:51:34 +0200
In-Reply-To: <87v8p1x4fj.fsf@HIDDEN> (zimoun's message of "Mon, 03 Oct 2022
 00:10:24 +0200")
Message-ID: <86tu40nl1l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, This issue is about the upgrade of manifest version from
 3 to 4. For references, <http://issues.guix.gnu.org/issue/58247> 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.45 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.45 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 58247
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 58247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Hi,

This issue is about the upgrade of manifest version from 3 to 4.  For
references,

    <http://issues.guix.gnu.org/issue/58247>

On Mon, 03 Oct 2022 at 00:10, zimoun <zimon.toutoune@HIDDEN> wrote:

> Well, I do not know if a fix is possible.  The issue is a
> backward compatibility issue.

Ludo, what is your insight on that matter?  Is it fixable?  Or do we
mark the issue as =E2=80=99wontfix=E2=80=99?


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.

Message received at 58247 <at> debbugs.gnu.org:


Received: (at 58247) by debbugs.gnu.org; 2 Oct 2022 22:26:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 18:26:08 2022
Received: from localhost ([127.0.0.1]:48270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of7PT-0001x7-LZ
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 18:26:08 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:55863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1of7PR-0001wV-7T
 for 58247 <at> debbugs.gnu.org; Sun, 02 Oct 2022 18:26:05 -0400
Received: by mail-wm1-f46.google.com with SMTP id t4so5982468wmj.5
 for <58247 <at> debbugs.gnu.org>; Sun, 02 Oct 2022 15:26:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=Yhptwv0rL6eYe8BpCPmjufq85Bw3VFEc8fXP8s+lVs0=;
 b=qEePwzd6lq6GOoAjSjxjCYqg81Rkolqpk15C9Nk8PoFDRp8HV9x7cvdB83LykBOm2u
 9+JvPD6dAs2TGcUR3EBJoJhFK3v6mCoWeh3XvFeKzuQPsVWeS7c0gvLgqkjjGCkYxhUv
 8houuHQEE7AXNd6/FH1PNkrfJdglzYwOUJ+B8RPjfd4gCEIzL41mnqlUS2xJdXKlnsgy
 WIWs00Jhlpsrcd2BHwAPaKmDL1WwibgG1fO7wHoK+HzDjrzpGGOfa+dSczy9PxGfV9cR
 OtMX2jup66OyYxzWiM8uG4no8bZ/+SK25BmDHJGCiUNyKygqXGx24r8IflGra7ueGvF3
 mrzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=Yhptwv0rL6eYe8BpCPmjufq85Bw3VFEc8fXP8s+lVs0=;
 b=0yXjyR5Zq1JXFv0v42pNpcakNb40JchEEPIalvqcQ0gtWoiFJNIThW4MDEhOxetY1v
 wMLIK6cRQUzI6Qv/wx9VecbRUX2dLSHMGLA+MKKvezxvefVZiIBtMl24MLhaB1kddfQG
 BGs2zJaJienyLUTl64w3/Oc5HghVDZwa+uha6SYXbNIuW3mt7FQqUP/Kqno0vwI2l2Eo
 Uqp0tan2cwjfGEdkFD+/EM85TBBF5o8K9m1U9L1RWsmGZBgWFNVr1NuWpd/xBm2dRA3L
 XPHqC6qpjtCoiIm56ji1ELhRCdswzK4UUP/w60E/mtZgU3Acb5UUm9z/356Kl8vyhYkP
 l35A==
X-Gm-Message-State: ACrzQf1TIZh2uAy3E4kDpz4lmDCxRU7NRJWWEhptEjooAbgxyQ3BVY3W
 bFkun7SFjRwZek93sfihlAfhC5iieYI=
X-Google-Smtp-Source: AMsMyM7xma549Bkt7nqhw7bw0QCCygvnF8tjXEJuMQzWC3YGP/ZG9BrObq2mUji5GkUVIlBPmpLcyQ==
X-Received: by 2002:a05:600c:268f:b0:3b4:acef:34ab with SMTP id
 15-20020a05600c268f00b003b4acef34abmr5052555wmt.176.1664749559202; 
 Sun, 02 Oct 2022 15:25:59 -0700 (PDT)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 g18-20020a056000119200b002206203ed3dsm8069795wrx.29.2022.10.02.15.25.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 02 Oct 2022 15:25:58 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: david larsson <david.larsson@HIDDEN>
Subject: Re: bug#58247: Using guix time-machine results in unsupported
 manifest format error
In-Reply-To: <2b9ab157dfb62c46f8416fc39c320323@HIDDEN>
References: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
 <87bkquxior.fsf@HIDDEN>
 <2b9ab157dfb62c46f8416fc39c320323@HIDDEN>
Date: Mon, 03 Oct 2022 00:10:24 +0200
Message-ID: <87v8p1x4fj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On Sun, 02 Oct 2022 at 20:57, david larsson wrote: > On
 2022-10-02 19:02, zimoun wrote: >> It is probably because an issue with version
 of manifest; e.g, fixed by >> 67a6828b2bb821274757f686f7c685b664339a96. See
 >> <https://issues.guix.gnu.org/57306>. > > Note that the commit I'm on,
 is [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: selfhosted.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.46 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.46 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 58247
Cc: 58247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi,

On Sun, 02 Oct 2022 at 20:57, david larsson <david.larsson@HIDDEN> =
wrote:
> On 2022-10-02 19:02, zimoun wrote:

>> It is probably because an issue with version of manifest; e.g, fixed by
>> 67a6828b2bb821274757f686f7c685b664339a96.  See
>> <https://issues.guix.gnu.org/57306>.
>
> Note that the commit I'm on, is from 2 days ago, which is after the fix=20
> commit you're mentioning.

Yes, note that the earlier mentioned commit
7e8e07033d2a6b0ecef566a05084c534c774cd4a is from Oct 2021 if I read
correctly.


> Not sure it matters, but Im able to run guix time-machine=20
> --commit=3D<somecommit> -- describe but not package -i <somepackage>

IIUC, =E2=80=99describe=E2=80=99 reads from ~/.config/guix/current/manifest=
 and here the
issue is from ~/.guix-profile/manifest.

Maybe I am wrong, but I think the issue is coming from an
incompatibility about the version of ~/.guix-profile/manifest.

This manifest is at the version 4.  When you run

  guix time-machine --commit=3D<commit> -- package -i hello

then I guess it works or not depending on <commit>.

The manifest file ~/.guix-profile/manifest needs to be updated and there
is a conflict because some versions of the profile manifest.  For
instance, consider two profiles generated using 2 different revisions of
Guix =E2=80=93 a recent one and an old one:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=3D729ce5f -- package -i hello -p /tmp/new

$ cat /tmp/new/manifest | grep -A 1 '(manifest'
(manifest
  (version 4)
--8<---------------cut here---------------end--------------->8---

and

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=3D7e8e070 -- package -i hello -p /tmp/old

$ cat /tmp/old/manifest | grep -A 1 '(manifest'
(manifest
  (version 3)
--8<---------------cut here---------------end--------------->8---


Now, consider the recent profile named /tmp/new and try to install a
previous package from an old commit,

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=3D7e8e070 -- package -i hello -p /tmp/new
guix package: error: unsupported manifest format
--8<---------------cut here---------------end--------------->8---

The old Guix uses version 3 and cannot read/write version 4 and bang!

Let try the converse,

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=3D729ce5f -- package -i hello -p /tmp/old

$ cat /tmp/old/manifest | grep -A 1 '(manifest'
(manifest
  (version 4)

$ guix package --list-generations -p /tmp/old
Generation 1	oct. 02 2022 18:53:10
  hello	2.10	out	/gnu/store/xg67cpxq2p6q7wn4y2z194pndwdymhpf-hello-2.10

Generation 2	oct. 02 2022 21:25:11	(current)
 + hello	2.12.1	out	/gnu/store/s5pd3rnzymliafb4la5sca63j86xs0y0-hello-2.12.1
 - hello	2.10  	out	/gnu/store/xg67cpxq2p6q7wn4y2z194pndwdymhpf-hello-2.10
--8<---------------cut here---------------end--------------->8---

This profile /tmp/old is thus converted from version 3 to version 4, and
then, reusing old version of Guix fails,

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=3D7e8e070 -- package -i hello -p /tmp/old
guix package: error: unsupported manifest format
--8<---------------cut here---------------end--------------->8---


Well, I do not know if a fix is possible.  The issue is a
backward compatibility issue.


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.

Message received at 58247 <at> debbugs.gnu.org:


Received: (at 58247) by debbugs.gnu.org; 2 Oct 2022 18:57:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 14:57:32 2022
Received: from localhost ([127.0.0.1]:48060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of49b-0000jJ-UA
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 14:57:32 -0400
Received: from server0.selfhosted.xyz ([217.64.149.7]:38124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.larsson@HIDDEN>) id 1of49Y-0000j4-S8
 for 58247 <at> debbugs.gnu.org; Sun, 02 Oct 2022 14:57:30 -0400
Received: from server0.selfhosted.xyz (localhost [127.0.0.1])
 by server0.selfhosted.xyz (Postfix) with ESMTP id EEC562C91155;
 Sun,  2 Oct 2022 20:57:15 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=selfhosted.xyz;
 s=dkim; t=1664737041;
 bh=P4Ajf7NKTYggSTJv/FAOyLiDh8tZGAtFAaOla+mKokw=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References;
 b=wx46+VCDAtTw5U9SG5SVFYe9ljZcwpYUHOp4VHTG1obVCCQ/TvyZa04bth2+tKo6m
 0jjPBkucicnXDa6pwEPGWYXaUEBucOtN/U3y3UxW5QqvyKqS7lAgkadwsO5g0GQKE1
 bIF/HBskanrnXYT5RCcC5ieoekhrI0sq7zyKsCcwvGciMxhu5X6PoXm2Hlmn5sUU+0
 KRaxn4AZSn9x3kMwTsWoJt3tE/pNJogf0jxawRQ4XPIrlJU3n3UC3F8sztlnQLZooB
 x3Tl0eGgcR2cZXyEn2CMk+9WqTxv5Pej/Be78fH6wd6HQOBiyTwWvlw5uUh5MtUj2q
 sa0fxyDgS/xpQ==
X-Fuglu-Suspect: 2fbc2a5607fb4e55bff3cab9a25aa5bc
X-Fuglu-Spamstatus: NO
Received: from webmail.selfhosted.xyz (office.selfhosted.xyz [192.168.1.4])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: mail@HIDDEN)
 by server0.selfhosted.xyz (Postfix) with ESMTPSA;
 Sun,  2 Oct 2022 20:57:15 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sun, 02 Oct 2022 20:57:15 +0200
From: david larsson <david.larsson@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#58247: Using guix time-machine results in unsupported
 manifest format error
In-Reply-To: <87bkquxior.fsf@HIDDEN>
References: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
 <87bkquxior.fsf@HIDDEN>
Message-ID: <2b9ab157dfb62c46f8416fc39c320323@HIDDEN>
X-Sender: david.larsson@HIDDEN
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 58247
Cc: 58247 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On 2022-10-02 19:02, zimoun wrote:

[..]

> It is probably because an issue with version of manifest; e.g, fixed by
> 67a6828b2bb821274757f686f7c685b664339a96.  See
> <https://issues.guix.gnu.org/57306>.

Note that the commit I'm on, is from 2 days ago, which is after the fix 
commit you're mentioning.

> 
> What does
> 
>     $ cat ~/.guix-profile/manifest | grep -A 1 manifest
> 
> report?

(manifest
   (version 4)

Not sure it matters, but Im able to run guix time-machine 
--commit=<somecommit> -- describe but not package -i <somepackage>

Best regards,
David




Information forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.

Message received at 58247 <at> debbugs.gnu.org:


Received: (at 58247) by debbugs.gnu.org; 2 Oct 2022 17:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 13:02:42 2022
Received: from localhost ([127.0.0.1]:47921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1of2MT-00083x-RX
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 13:02:42 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:34359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1of2MR-00083j-Ce
 for 58247 <at> debbugs.gnu.org; Sun, 02 Oct 2022 13:02:40 -0400
Received: by mail-wr1-f51.google.com with SMTP id b4so6746559wrs.1
 for <58247 <at> debbugs.gnu.org>; Sun, 02 Oct 2022 10:02:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:to:from
 :from:to:cc:subject:date;
 bh=FsWtsxLOIK/HhcfBLgljJkKHq5QSqNXrEJHlVSTV/qU=;
 b=DVf/41OJ+Zd51oFUvOLNbIKcHOSfy6pupx8d+JYdJxLbStOwv2Vig8wDlmKWVle4bN
 zh/M8Y8LVZCx8dzbaqPw/sHrGsGrTaHRxxX5hIP3/Et54bSv0qnCxRoelNmbvwoxuqKn
 rAqnTpWw6DJmULZBrnswsWvcj9nRryWYsUBl4K0COd+kK+2+aVnSVCSYjCxcEABRA1A5
 U2T+FhEUOeXIZBUaCN2Sx5Zry2V6MVMBkx6iOmF+wBGuo5n0Rv0mrmudKw4MrBOuEaHT
 wMCmlTsNAKDxGpAY5+3umd2zHH0ze6Zc8gQ2fXjdE+vCxAcq/iY/ScdmFq5umrh9Y3WL
 1Y9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date;
 bh=FsWtsxLOIK/HhcfBLgljJkKHq5QSqNXrEJHlVSTV/qU=;
 b=nVBrDzdLHnH+jndNTV+ovf84gljkeXcO7l2IukZfABKUwEgcHHxnZn/ixcrRgLsG5Y
 3K7jtbSuQP79CGDg/dKUxkKj5Ys1mqr+jxD1J0h9BZ5zhPb8y4ifiDerc0Ta1DqV6YQ/
 T2u8zF7btirH+hkM0s2X1lPXT+GOXQYzuurbwKeJds7vpjizh36lnFWqoFBhAWA65sXW
 AAY+5r+ydBJofFOHt0LTvy0adCPW03fH2EK9PAH9xZKu6fRXonftOEo1b8xvlAjd2xpu
 gPz9JcxYDopIjNVNIUxrVLcG1V63JcZMVOK11lOkikXMvlqM8gT88XbEJeLWR7dF5jy+
 EBgg==
X-Gm-Message-State: ACrzQf1lq3IeFM+Sp1MjcTxanO2TnHa7Qxfl+FUPhmJ+T3Ghiv0BDClL
 38vWEYH6/XinkivLEo5pl/JwGQZ/Cx0=
X-Google-Smtp-Source: AMsMyM7vRgSAts31MRirdMzsD5TT3W90twoPPYxv4PYpy2NmQbiTUws4wNrx5vh7gfd8Gqk74aH4Xg==
X-Received: by 2002:a05:6000:15cf:b0:228:45fb:110e with SMTP id
 y15-20020a05600015cf00b0022845fb110emr10522084wry.709.1664730153411; 
 Sun, 02 Oct 2022 10:02:33 -0700 (PDT)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 p25-20020a1c5459000000b003a5c7a942edsm13678546wmi.28.2022.10.02.10.02.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 02 Oct 2022 10:02:32 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: david larsson <david.larsson@HIDDEN>, 58247 <at> debbugs.gnu.org
Subject: Re: bug#58247: Using guix time-machine results in unsupported
 manifest format error
In-Reply-To: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
References: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
Date: Sun, 02 Oct 2022 19:02:28 +0200
Message-ID: <87bkquxior.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On dim., 02 oct. 2022 at 13:17, david larsson wrote: >
 Im on commit 729ce5f and Im running: guix time-machine --commit=7e8e070 >
 -- package -i hello > > and it outputs: > > guix package: error: unsupported
 manifest format 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.51 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.51 listed in list.dnswl.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: selfhosted.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58247
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi,

On dim., 02 oct. 2022 at 13:17, david larsson <david.larsson@HIDDEN> wrote:

> Im on commit 729ce5f and Im running: guix time-machine --commit=7e8e070 
> -- package -i hello
>
> and it outputs:
>
>    guix package: error: unsupported manifest format

It is probably because an issue with version of manifest; e.g, fixed by
67a6828b2bb821274757f686f7c685b664339a96.  See <https://issues.guix.gnu.org/57306>.

What does

    $ cat ~/.guix-profile/manifest | grep -A 1 manifest

report?


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Oct 2022 11:18:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 07:18:28 2022
Received: from localhost ([127.0.0.1]:46344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oewzM-00071W-Fx
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 07:18:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:46904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.larsson@HIDDEN>) id 1oewzK-00071O-Eh
 for submit <at> debbugs.gnu.org; Sun, 02 Oct 2022 07:18:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45908)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <david.larsson@HIDDEN>)
 id 1oewzK-00007x-9n
 for bug-guix@HIDDEN; Sun, 02 Oct 2022 07:18:26 -0400
Received: from server0.selfhosted.xyz ([217.64.149.7]:52100)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <david.larsson@HIDDEN>)
 id 1oewzI-0001ML-0b
 for bug-guix@HIDDEN; Sun, 02 Oct 2022 07:18:25 -0400
Received: from server0.selfhosted.xyz (localhost [127.0.0.1])
 by server0.selfhosted.xyz (Postfix) with ESMTP id A5A302C905CF
 for <bug-guix@HIDDEN>; Sun,  2 Oct 2022 13:17:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=selfhosted.xyz;
 s=dkim; t=1664709494;
 bh=lIP+yXfYcVQs6HhgfGQmW/o30pImr5tzIT2+78iUO/8=;
 h=Date:From:To:Subject;
 b=18fbo2LQP5YUQ/2/PZrj24qEQNbdZnTltYUEUHWaKziuMOyc+0oSw93m1ltP78Lpl
 kpkOdUXgpYqwrVxvia7ZJY9X4FhNRbCdvxrx5GcgKK30rCL5CRlV1x655gsbcd+kHz
 kqQKduLyeHdtDcqLdMcl5DQy1WCWiIKDGciON1lZIx6NwVg1aWdBBYbUiJZvf4xo24
 B9H8Gb2GQHF1M6HEMUV5K/o1W76C1JnCAmwvtzveE+7vJS7vWIHeczpYQ+fKyfCQX4
 17KzfVywaLmTEVWbGv4QzWnWzB7wXKIevx+MIcLW9Q8WAKROCjRYWDyiPnrcdIkzOk
 MGb1Q2Hg2Ddow==
X-Fuglu-Suspect: e6cb112a64344ab6897e066956b61179
X-Fuglu-Spamstatus: NO
Received: from webmail.selfhosted.xyz (office.selfhosted.xyz [192.168.1.4])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: mail@HIDDEN)
 by server0.selfhosted.xyz (Postfix) with ESMTPSA
 for <bug-guix@HIDDEN>; Sun,  2 Oct 2022 13:17:57 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sun, 02 Oct 2022 13:17:57 +0200
From: david larsson <david.larsson@HIDDEN>
To: bug-guix@HIDDEN
Subject: Using guix time-machine results in unsupported manifest format error
Message-ID: <aa20b99ccc0d92ffc38c814d6942ed0f@HIDDEN>
X-Sender: david.larsson@HIDDEN
Received-SPF: pass client-ip=217.64.149.7;
 envelope-from=david.larsson@HIDDEN; helo=server0.selfhosted.xyz
X-Spam_score_int: -23
X-Spam_score: -2.4
X-Spam_bar: --
X-Spam_report: (-2.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FROM_SUSPICIOUS_NTLD=0.001, FROM_SUSPICIOUS_NTLD_FP=1.999,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_PDS_OTHER_BAD_TLD=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Im on commit 729ce5f and Im running: guix time-machine
 --commit=7e8e070 -- package -i hello and it outputs: guix package: error:
 unsupported manifest format 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: selfhosted.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=david.larsson%40selfhosted.xyz; ip=209.51.188.17; r=debbugs.gnu.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.0 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

Hi,
Im on commit 729ce5f and Im running: guix time-machine --commit=7e8e070 
-- package -i hello

and it outputs:

   guix package: error: unsupported manifest format

I have tried nesting time-machine as well like:

   guix time-machine --commit=<oldcommit> -- time-machine 
--commit=<somecommit> -- package -i hello

but it gives the same error.

Any ideas?


Regards,
David




Acknowledgement sent to david larsson <david.larsson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#58247; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Dec 2022 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.